using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
	public interface IFaultRecordsManager : IGenericManager<FaultRecord>
	{
        IList<FaultRecord> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

		string GenerateFaultNumber();
	}
}
